Package com.pixelmed.convert

## Class ConvertAmicasJPEG2000FilesetToDicom.OnlySuffixFilenameFilter

- java.lang.Object
- - com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom.OnlySuffixFilenameFilter

- All Implemented Interfaces:
    `java.io.FilenameFilter`
  Enclosing class:
    ConvertAmicasJPEG2000FilesetToDicom

      public final class ConvertAmicasJPEG2000FilesetToDicom.OnlySuffixFilenameFilter
      extends java.lang.Object
      implements java.io.FilenameFilter

  Instances of this class select only File names that end with the specified suffix.

  The comparison is case-insensitive.

  If a period is expected to precede the suffix, it should be included in the suffix specified in the constructor, e.g., ".dcm".

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `suffix` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OnlySuffixFilenameFilter​(java.lang.String suffix)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(java.io.File file, java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### suffix

          protected java.lang.String suffix

  - ### Constructor Detail

    - #### OnlySuffixFilenameFilter

          public OnlySuffixFilenameFilter​(java.lang.String suffix)

  - ### Method Detail

    - #### accept

          public boolean accept​(java.io.File file,
                                java.lang.String name)

      Specified by:
        `accept` in interface `java.io.FilenameFilter`